 /**************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
 #include "addbookmarkdlg.h"
 #include <qlayout.h>
 #include <qpushbutton.h>
 #include <qlabel.h>
 #include "tab.h"

AddBookmarkDlg::AddBookmarkDlg(QWidget *parent, tab *ttab, QString *name, int *position, bool rename)
 : QDialog(parent)
{
    resize(320,100);
    fname=name;
    fposition=position;
    if (!rename)
    *position=ttab->paragraphAt(ttab->XY);
    setCaption(rename?tr("Rename this bookmark"):tr("Add a bookmark..."));
    edit = new QLineEdit(rename?(*name):tr("New bookmark"),this);
    QPushButton *ok = new QPushButton(tr("OK"),this),
    *cancel = new QPushButton(tr("Cancel"),this);

    QGridLayout *grid = new QGridLayout(this,2,2,5,5);
    grid->addWidget(new QLabel(rename?tr("Enter a new name:"):
                      tr("Enter a name: "),this),0,0);
    grid->addWidget(edit,0,1);
    grid->addWidget(ok,1,0);
    grid->addWidget(cancel,1,1);
    connect(ok,SIGNAL(clicked()),SLOT(sayOk()));
    connect(cancel,SIGNAL(clicked()),SLOT(sayCancel()));
}

void AddBookmarkDlg::sayOk()
{
    *fname=edit->text();
    done(0);
}

void AddBookmarkDlg::sayCancel()
{
    done(-1); 
}
