 /***************************************************************************
 *   Copyright (C) 2004 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
 #include "encselect.h"
 #include <qlayout.h>
 #include <qlabel.h>
 #include <qcombobox.h>
 #include <qpushbutton.h>

EncSelect::EncSelect(QWidget *parent, tab *ttext, Settings *sett)
 : QDialog(parent)
{
    text=ttext;
    setCaption(tr("Choose encoding:"));
    QGridLayout *gl=new QGridLayout(this,2,2,5,5);
    QLabel *lbl=new QLabel(tr("Select codepage"),this);
    selCdpg=new QComboBox(this);
    QPushButton *OkBtn=new QPushButton(tr("OK"),this);
    QPushButton *CancelBtn=new QPushButton(tr("Cancel"),this);
    gl->addWidget(lbl,0,0);
    gl->addWidget(selCdpg,0,1);
    gl->addWidget(OkBtn,1,0);
    gl->addWidget(CancelBtn,1,1);
    
    connect(OkBtn,SIGNAL(clicked()),SLOT(sayOk()));
    connect(CancelBtn,SIGNAL(clicked()),SLOT(sayCancel()));
    
    selCdpg->insertItem("Latin1");
    selCdpg->insertItem("Big5");
    selCdpg->insertItem("Big5-HKSCS");
    selCdpg->insertItem("eucJP");
    selCdpg->insertItem("eucKR");
    selCdpg->insertItem("GB2312");
    selCdpg->insertItem("GBK");
    selCdpg->insertItem("GB18030");
    selCdpg->insertItem("JIS7");
    selCdpg->insertItem("Shift-JIS");
    selCdpg->insertItem("TSCII ");
    selCdpg->insertItem("utf8");
    selCdpg->insertItem("utf16");
    selCdpg->insertItem("KOI8-R");
    selCdpg->insertItem("KOI8-U");
    selCdpg->insertItem("ISO8859-1");
    selCdpg->insertItem("ISO8859-2");
    selCdpg->insertItem("ISO8859-3");
    selCdpg->insertItem("ISO8859-4");
    selCdpg->insertItem("ISO8859-5");
    selCdpg->insertItem("ISO8859-6");
    selCdpg->insertItem("ISO8859-7");
    selCdpg->insertItem("ISO8859-8");
    selCdpg->insertItem("ISO8859-8-i");
    selCdpg->insertItem("ISO8859-9");
    selCdpg->insertItem("ISO8859-10");
    selCdpg->insertItem("ISO8859-13");
    selCdpg->insertItem("ISO8859-14");
    selCdpg->insertItem("ISO8859-15");
    selCdpg->insertItem("IBM 850");
    selCdpg->insertItem("IBM 866");
    selCdpg->insertItem("CP874");
    selCdpg->insertItem("CP1250");
    selCdpg->insertItem("CP1251");
    selCdpg->insertItem("CP1252");
    selCdpg->insertItem("CP1253");
    selCdpg->insertItem("CP1254");
    selCdpg->insertItem("CP1255");
    selCdpg->insertItem("CP1256");
    selCdpg->insertItem("CP1257");
    selCdpg->insertItem("CP1258");
    selCdpg->insertItem("Apple Roman");
    selCdpg->insertItem("TIS-620");
    
    selCdpg->setCurrentText(sett->defaultCode);
}

void EncSelect::sayOk()
{
    code=selCdpg->currentText();
    text->recode(code);
    done(0);
}

void EncSelect::sayCancel()
{
   done(0); 
}

EncSelect::~EncSelect()
{
}


