/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef TAB_H
#define TAB_H

#include <qtextedit.h>

/*
@author Vlad Svetlichny
*/

class Settings;
class QFile;

class tab: public QTextEdit
{
Q_OBJECT
public:
    tab(QWidget *parent, Settings *set, QString fName, int position=0, QString enc=QString::null);
    void recode(QString code);
    void recolor();
    void refont();
    QString fileName;
    QString charset;
    QPoint XY;
    void savePosition();
    void loadPosition();
    
public slots:
    void changeXY(int x, int y);

private:
    int save_para;
    bool autoCodeRus;
    QString realFileName;
    bool autoCodeUa, autoCodeGerman, 
    autoCodePolish,
    autoCodeSerbian, autoCodeFinnish, autoCodePortuguese, autoCodeSlovak,
    autoCodeSlovenian, autoCodeTurkish, autoCodeSpanish, autoCodeLatvian;
    Settings *sset;

    QString convertDOC();
    QString convertHTML();
    QString convertRTF();
    QString convertFB2();
    QString convertKWD();
    QString convertABW();
    QString convertOO();
    void loadFile(bool doAuto=FALSE, int position=0,QString enc=QString::null);

    QString detectRussian  (QFile *f);
    QString detectUkrainian(QFile *f);
    QString detectFinnish (QFile *f);
    QString detectPortuguese (QFile *f);
    QString detectSlovak (QFile *f);
    QString detectSlovenian (QFile *f);
    QString detectTurkish (QFile *f);
    QString detectSpanish (QFile *f);
    QString detectPolish (QFile *f);
    QString detectLatvian (QFile *f);
    QString detectGerman (QFile *f);
    QString detectSerbian (QFile *f);
};

#endif
